<template>
  <div class="inline-16">
    <el-popconfirm
      title="确定删除吗？"
      @confirm="deleteRow">
      <el-button size="small" type="text" slot="reference">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data'],
  methods:{
    deleteRow () {
      this.$api.requested({
       "classname": "webmanage.sale.saleareascope.saleareascope",
        "method": "delete_areascope",
        "content": {
            "sa_salearea_salescopeid":this.data.sa_salearea_salescopeid
        }
      }).then(res=>{
        this.tool.showMessage(res,()=>{
          this.$emit('onSuccess')
        })
      })
    },
  }
}

</script>
<style>
</style>